Provides: org.mozilla.firefox
Categories:
  - Internet
License: MPL-2.0
WebSite: http://www.gnu.org/software/gnuzilla/
SourceCode: https://ftp.gnu.org/gnu/gnuzilla/
IssueTracker: https://savannah.gnu.org/bugs/?group=gnuzilla
Donate: https://www.fsf.org/about/ways-to-donate/

Name: IceCatMobile
Description: |-
    Browser using the Gecko layout engine to render web pages, which implements
    current and anticipated web standards. This is a free software rebranding of the
    latest Firefox-ESR release.

RepoType: hg
Repo: https://hg.mozilla.org/releases/mozilla-esr60

Builds:
  - versionName: 38.6.0
    versionCode: 380600
    commit: FIREFOX_38_6_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@96b78c77
      - IceCat@d75da834
    prebuild:
      - fxarch=arm-linux-androideabi
      - bash $$IceCat$$/makeicecat --skip-compare-locales --skip-l10n --no-debian
        --no-tarball --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$/platforms/android-22" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/JavaAddonManager.java
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; make LOCALE_MERGEDIR=$PWD/merge-$loc
        chrome-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; done
      - popd
      - ./mach package

  - versionName: 38.7.1
    versionCode: 380701
    commit: FIREFOX_38_7_1esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@96b78c77
      - IceCat@f6c6629a
    prebuild:
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - bash $$IceCat$$/makeicecat --skip-compare-locales --skip-l10n --no-debian
        --no-tarball --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$/platforms/android-22" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/JavaAddonManager.java
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; make LOCALE_MERGEDIR=$PWD/merge-$loc
        chrome-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; done
      - popd
      - ./mach package

  - versionName: 38.7.1
    versionCode: 380711
    commit: FIREFOX_38_7_1esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@96b78c77
      - IceCat@f6c6629a
    prebuild:
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - bash $$IceCat$$/makeicecat --skip-compare-locales --skip-l10n --no-debian
        --no-tarball --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$/platforms/android-22" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/JavaAddonManager.java
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; make LOCALE_MERGEDIR=$PWD/merge-$loc
        chrome-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; done
      - popd
      - ./mach package

  - versionName: 38.8.0
    versionCode: 380800
    commit: FIREFOX_38_8_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@96b78c77
      - IceCat@d3384a83
    prebuild:
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - bash $$IceCat$$/makeicecat --skip-compare-locales --skip-l10n --no-debian
        --no-tarball --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$/platforms/android-22" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/JavaAddonManager.java
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; make LOCALE_MERGEDIR=$PWD/merge-$loc
        chrome-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; done
      - popd
      - ./mach package

  - versionName: 38.8.0
    versionCode: 380810
    commit: FIREFOX_38_8_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@96b78c77
      - IceCat@d3384a83
    prebuild:
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - bash $$IceCat$$/makeicecat --skip-compare-locales --skip-l10n --no-debian
        --no-tarball --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$/platforms/android-22" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/JavaAddonManager.java
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; make LOCALE_MERGEDIR=$PWD/merge-$loc
        chrome-$loc LOCALE_MERGEDIR=$PWD/merge-$loc; done
      - popd
      - ./mach package

  - versionName: 45.5.1
    versionCode: 450501
    commit: FIREFOX_45_5_1esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@a4998ff4
      - IceCat@300e01d4
    prebuild:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
    ndk: r10e

  - versionName: 45.5.1
    versionCode: 450511
    commit: FIREFOX_45_5_1esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@a4998ff4
      - IceCat@300e01d4
    prebuild:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
    ndk: r10e

  - versionName: 45.6.0
    versionCode: 450600
    commit: FIREFOX_45_6_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@a4998ff4
      - IceCat@6d2fc359
    prebuild:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
    ndk: r10e

  - versionName: 45.6.0
    versionCode: 450610
    commit: FIREFOX_45_6_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@a4998ff4
      - IceCat@6d2fc359
    prebuild:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
    ndk: r10e

  - versionName: 45.7.0
    versionCode: 450700
    commit: FIREFOX_45_7_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@a4998ff4
      - IceCat@29c3feec
    prebuild:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
    ndk: r10e

  - versionName: 45.7.0
    versionCode: 450710
    commit: FIREFOX_45_7_0esr_RELEASE
    output: obj-android/dist/gecko-unsigned-unaligned.apk
    srclibs:
      - MozLocales@a4998ff4
      - IceCat@29c3feec
    prebuild:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export ANDROID_VERSION_CODE=$$VERCODE$$'" >> .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
    ndk: r10e

  - versionName: 52.3.0
    versionCode: 520300
    commit: FIREFOX_52_3_0esr_RELEASE
    sudo:
      - apt-get update -y
      - apt-get install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@51f4f0fb
      - IceCat@97a01a1c
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
    ndk: r12b

  - versionName: 52.3.0
    versionCode: 520310
    commit: FIREFOX_52_3_0esr_RELEASE
    sudo:
      - apt-get update -y
      - apt-get install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@51f4f0fb
      - IceCat@97a01a1c
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
    ndk: r12b

  - versionName: 52.4.1
    versionCode: 520401
    commit: FIREFOX_52_4_1esr_RELEASE
    sudo: apt-get install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@7707113b
      - IceCat@61254f54
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
    ndk: r12b

  - versionName: 52.4.1
    versionCode: 520411
    commit: FIREFOX_52_4_1esr_RELEASE
    sudo: apt-get install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@7707113b
      - IceCat@61254f54
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - export I_PREFER_A_SUBOPTIMAL_MERCURIAL_EXPERIENCE=1
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
    ndk: r12b

  - versionName: 52.6.0
    versionCode: 520600
    commit: FIREFOX_52_6_0esr_RELEASE
    timeout: 21600
    sudo: apt-get install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@7707113b
      - IceCat@a5245aa2
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
    ndk: r12b

  - versionName: 52.6.0
    versionCode: 520610
    commit: FIREFOX_52_6_0esr_RELEASE
    timeout: 21600
    sudo: apt-get install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@7707113b
      - IceCat@a5245aa2
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i386-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=$$NDK$$" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=$$SDK$$" >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    scanignore:
      - mobile/android/base/java/org/mozilla/gecko/javaaddons
    build:
      - ./mach build
      - pushd obj-android/mobile/android/locales
      - for loc in $(cat ../../../../used-locales); do LOCALE_MERGEDIR=$PWD/merge-$loc
        make merge-$loc || exit 1; LOCALE_MERGEDIR=$PWD/merge-$loc make chrome-$loc
        || exit 1; done
      - popd
      - ./mach package
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
    ndk: r12b

  - versionName: 60.3.0
    versionCode: 600300
    commit: FIREFOX_60_3_0esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@3afdd978
      - IceCat@9db906c9
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.3.0
    versionCode: 600310
    commit: FIREFOX_60_3_0esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@3afdd978
      - IceCat@9db906c9
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.4.0
    versionCode: 600400
    commit: FIREFOX_60_4_0esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@3afdd978
      - IceCat@bf97e368
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.4.0
    versionCode: 600410
    commit: FIREFOX_60_4_0esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@3afdd978
      - IceCat@bf97e368
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.5.0
    versionCode: 600500
    commit: FIREFOX_60_5_0esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@ebea561a
      - IceCat@2e8d99bb
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.5.1
    versionCode: 600501
    commit: FIREFOX_60_5_1esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@ebea561a
      - IceCat@3bc22233
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.5.0
    versionCode: 600510
    commit: FIREFOX_60_5_0esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@ebea561a
      - IceCat@2e8d99bb
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

  - versionName: 60.5.1
    versionCode: 600511
    commit: FIREFOX_60_5_1esr_RELEASE
    timeout: 21600
    sudo:
      - apt-get update || apt-get update
      - apt install -y g++
    output: fdroid/icecat-unsigned.apk
    srclibs:
      - MozLocales@ebea561a
      - IceCat@3bc22233
    prebuild:
      - bash $$IceCat$$/makeicecat -- --no-tarball --skip-l10n --no-debian --with-sourcedir=$PWD
      - bash $$MozLocales$$/prebuild-icecat.sh
      - fxarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/arm-linux-androideabi/g'
        -e 's/1/i686-linux-androideabi/g'`
      - echo "ac_add_options --with-android-ndk=\"$$NDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-android-sdk=\"$$SDK$$\"" >> .mozconfig
      - echo "ac_add_options --with-libclang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/lib64/"
        >> .mozconfig
      - echo "ac_add_options --with-clang-path=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin/clang"
        >> .mozconfig
      - echo "ac_add_options --target=${fxarch}" >> .mozconfig
      - echo "mk_add_options 'export MOZ_APP_ANDROID_VERSION_CODE=$$VERCODE$$'" >>
        .mozconfig
    build:
      - mkdir rust
      - rsarch=`echo $$VERCODE$$ | cut -c 5 | sed -e 's/0/armv7-linux-androideabi/g'
        -e 's/1/i686-linux-android/g'`
      - curl https://static.rust-lang.org/dist/rust-1.29.2-`uname -m`-unknown-linux-gnu.tar.xz
        | tar -x -J -C rust --strip-components 2
      - curl https://static.rust-lang.org/dist/rust-std-1.29.2-${rsarch}.tar.xz |
        tar -x -J -C rust --strip-components 2
      - PATH=$PWD/rust/bin:$PATH ./mach build
      - cat used-locales | xargs -I % ./mach build chrome-%
      - make -C obj-android package AB_CD=multi
      - mv obj-android/dist/icecat*-unsigned-unaligned.apk fdroid/icecat-unsigned.apk
      - zip -d fdroid/icecat-unsigned.apk 'META-INF/*.*'
    ndk: r15c

MaintainerNotes: |-
    Needs Mercurial (a.k.a. hg) >= 3.5 to clone from Mozilla server.
    Needs host g++ since at least version 52.3

ArchivePolicy: 4 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 60.5.1
CurrentVersionCode: 600511
